# pqxx::absolute_cursor< ACCESS, UPDATE > Class Template Reference

Cursor that knows its position. More...

`#include <cursor.hxx>`

Inheritance diagram for pqxx::absolute_cursor< ACCESS, UPDATE >:

[legend]
List of all members.

## Public Types

typedef cursor_base::size_type | size_type
typedef cursor_base::difference_type | difference_type

## Public Member Functions

| absolute_cursor (transaction_base *t, const PGSTD::string &query, const PGSTD::string &cname)
| Create cursor based on given query.
virtual result | fetch (difference_type n)
virtual difference_type | move (difference_type n)
virtual difference_type | move (difference_type d, difference_type &m)
virtual result | fetch (difference_type d, difference_type &m)
size_type | pos () const throw ()
difference_type | move_to (cursor_base::size_type to)
difference_type | move_to (cursor_base::size_type to, cursor_base::difference_type &d)

## Detailed Description

### template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>
class pqxx::absolute_cursor< ACCESS, UPDATE >

Cursor that knows its position.

## Member Typedef Documentation

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

typedef cursor_base::size_type pqxx::absolute_cursor< ACCESS, UPDATE >::size_type

Reimplemented from pqxx::cursor_base.

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

typedef cursor_base::difference_type pqxx::absolute_cursor< ACCESS, UPDATE >::difference_type

Reimplemented from pqxx::cursor_base.

## Constructor & Destructor Documentation

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

pqxx::absolute_cursor< ACCESS, UPDATE >::absolute_cursor | ( | transaction_base * | t,
|  | const PGSTD::string & | query,
|  | const PGSTD::string & | cname |
| ) |  |  |

Create cursor based on given query.

Parameters:

  | t | transaction this cursor is to live in
  | query | SQL query whose results this cursor will iterate
  | cname | name for this cursor, which will be changed to make it unique

Warning:
  If the transaction being used is a nontransaction, a "WITH HOLD" cursor will be created. Not all backends versions support this.

## Member Function Documentation

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

virtual result pqxx::absolute_cursor< ACCESS, UPDATE >::fetch | ( | difference_type | n | ) | `[virtual]`

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

virtual difference_type pqxx::absolute_cursor< ACCESS, UPDATE >::move | ( | difference_type | n | ) | `[virtual]`

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

virtual difference_type pqxx::absolute_cursor< ACCESS, UPDATE >::move | ( | difference_type | d,
|  | difference_type & | m |
| ) |  |  | `[virtual]`

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

virtual result pqxx::absolute_cursor< ACCESS, UPDATE >::fetch | ( | difference_type | d,
|  | difference_type & | m |
| ) |  |  | `[virtual]`

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

size_type pqxx::absolute_cursor< ACCESS, UPDATE >::pos | ( |  | ) | const throw ()

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

difference_type pqxx::absolute_cursor< ACCESS, UPDATE >::move_to | ( | cursor_base::size_type | to | ) |

template<cursor_base::accesspolicy ACCESS, cursor_base::updatepolicy UPDATE>

difference_type pqxx::absolute_cursor< ACCESS, UPDATE >::move_to | ( | cursor_base::size_type | to,
|  | cursor_base::difference_type & | d |
| ) |  |  |

The documentation for this class was generated from the following file:

- cursor.hxx